GET /api-keys
Este endpoint retorna todas as chaves de API associadas à conta autenticada. Por segurança, o valor completo nunca é retornado — apenas uma prévia.Resposta
array
Lista de objetos de chave de API.
number
Número total de chaves de API.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"apiKeys": [
{
"id": "llm_1706123456_abc123def456",
"name": "Production Key",
"keyPreview": "llm_1706...f456",
"isActive": true,
"lastUsedAt": "2026-01-20T15:30:00.000Z",
"createdAt": "2026-01-01T10:00:00.000Z"
},
{
"id": "llm_1706234567_xyz789abc012",
"name": "Development Key",
"keyPreview": "llm_1706...c012",
"isActive": true,
"lastUsedAt": null,
"createdAt": "2026-01-15T09:00:00.000Z"
}
],
"total": 2
}
Este endpoint retorna a lista de todas as chaves de API do usuário.
curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"apiKeys": [
{
"id": "llm_1706123456_abc123def456",
"name": "Production Key",
"keyPreview": "llm_1706...f456",
"isActive": true,
"lastUsedAt": "2026-01-20T15:30:00.000Z",
"createdAt": "2026-01-01T10:00:00.000Z"
},
{
"id": "llm_1706234567_xyz789abc012",
"name": "Development Key",
"keyPreview": "llm_1706...c012",
"isActive": true,
"lastUsedAt": null,
"createdAt": "2026-01-15T09:00:00.000Z"
}
],
"total": 2
}
Mostrar Propriedades de apiKey
curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"apiKeys": [
{
"id": "llm_1706123456_abc123def456",
"name": "Production Key",
"keyPreview": "llm_1706...f456",
"isActive": true,
"lastUsedAt": "2026-01-20T15:30:00.000Z",
"createdAt": "2026-01-01T10:00:00.000Z"
},
{
"id": "llm_1706234567_xyz789abc012",
"name": "Development Key",
"keyPreview": "llm_1706...c012",
"isActive": true,
"lastUsedAt": null,
"createdAt": "2026-01-15T09:00:00.000Z"
}
],
"total": 2
}
Esta página foi útil?